Panda3D

Public Member Functions | List of all members
PNMImage::Row Class Reference

## Public Member Functions
| Row (PNMImage &image, int y)
xelval | get_alpha_val (int x) const
| Fetch the alpha value at the given column in the row. More...
xel & | get_xel_val (int x)
| Fetch the pixel at the given column in the row. More...
LColorf | operator[] (int x) const
| Fetch the RGB value at the given column in the row. More...
void | set_alpha_val (int x, xelval v)
| Set the alpha value at the given column in the row. More...
void | set_xel_val (int x, const xel &v)
| Set the pixel at the given column in the row. More...
size_t | size () const
| Get the number of pixels in the row. More...

## Detailed Description

Definition at line 281 of file pnmImage.h.

## Member Function Documentation

## ◆ get_alpha_val()

xelval PNMImage::Row::get_alpha_val | ( | int | x | ) | const
| inline

Fetch the alpha value at the given column in the row.

Definition at line 1025 of file pnmImage.I.

## ◆ get_xel_val()

xel & PNMImage::Row::get_xel_val | ( | int | x | ) |
| inline

Fetch the pixel at the given column in the row.

Definition at line 1009 of file pnmImage.I.

## ◆ operator[]()

LColorf PNMImage::Row::operator[] | ( | int | x | ) | const
| inline

Fetch the RGB value at the given column in the row.

Definition at line 990 of file pnmImage.I.

## ◆ set_alpha_val()

void PNMImage::Row::set_alpha_val | ( | int | x,
|  | xelval | v
| ) |  |
| inline

Set the alpha value at the given column in the row.

Definition at line 1033 of file pnmImage.I.

## ◆ set_xel_val()

void PNMImage::Row::set_xel_val | ( | int | x,
|  | const xel & | v
| ) |  |
| inline

Set the pixel at the given column in the row.

Definition at line 1017 of file pnmImage.I.

## ◆ size()

size_t PNMImage::Row::size | ( |  | ) | const
| inline

Get the number of pixels in the row.

Definition at line 982 of file pnmImage.I.

The documentation for this class was generated from the following files:

- panda/src/pnmimage/pnmImage.h
- panda/src/pnmimage/pnmImage.I